from django.db import models
from phonenumber_field.modelfields import PhoneNumberField

class Connect(models.Model):
    fullName=models.CharField(max_length=250)
    email = models.EmailField()
    phoneNumber = PhoneNumberField(help_text="enter mobile number with valid country code (ex: +91)")
    services=models.CharField(max_length=2000)
    textarea=models.CharField(max_length=2000)
    
    def __str__(self):
    #  return f"{self.name}+{self.email}+{self.phone_number}+{self.services}+{self.requirement}"
       return self.fullName