from ..models.JobApplicatons import HiringApplication
from rest_framework import generics
import json
from django.http import JsonResponse
from ..serializers.JobApplications import HiringApplicationSerializer
from rest_framework import status
from django.core.mail import send_mail
from django.core.mail import EmailMessage
from django.utils.html import strip_tags

from rest_framework.response import Response

class HiringApplicationViewSet(generics.CreateAPIView):
    queryset = HiringApplication.objects.all()
    serializer_class=HiringApplicationSerializer
    
    def create(self, request,*args,**kwargs):
        serializer=HiringApplicationSerializer(data=request.data)
        
        print(request.data)
        
        if serializer.is_valid():
            serializer.save()
        #     resume = request.FILES.get('resume')
            
            
        #     email_subject = 'New Job Application'
        #     email_body = 'A new job application has been submitted. Please review the application and resume.'
        #     from_email = 'himanshusrivastav156@gmail.com'  # Replace with your email
        #     to_email = ['hr@codefire.com'] 
            
            
        #     email = EmailMessage(
        #     subject=email_subject,
        #     body=strip_tags(email_body),  # strip HTML tags if any
        #     from_email=from_email,
        #     to=to_email
        #     ) 
        #     email.attach(resume.name, resume.read(), resume.content_type)

        # # Send the email
        #     email.send()

        #     send_mail(
        #         'New Job Application',
        #         'A new job application has been submitted.',
        #         'himanshu.srivastav@codefire.in',  # Replace with your email
        #         ['himanshusrivastav156@gmail.com '],  # Replace with HR's email
        #         fail_silently=False,
        #         html_message='A new job application has been submitted. Please review the application and resume.',
        #         attachment=(resume.name, resume.read(), resume.content_type)
        #     )
            response_data={
                'status': status.HTTP_201_CREATED,
                'message': 'Application Form Submitted successfully',
                'data': serializer.data
            }
            return Response(response_data, status=status.HTTP_201_CREATED)
        else :
            response_data={
                'status': status.HTTP_400_BAD_REQUEST,
                'message': 'Something Went wrong kindly review  your application',
                'error': serializer.errors
            }
            return Response(response_data, status=status.HTTP_400_BAD_REQUEST)
        
def post(self, request, *args, **kwargs):
        # Assuming the request data is in JSON format
        try:
            data = json.loads(request.body.decode('utf-8'))
            print("Received data:", data)
        except json.JSONDecodeError as e:
            print("Unable to decode JSON:", str(e))

        return JsonResponse({'message': 'Data received successfully'})
            