from ..models.contact import  Connect
from rest_framework import generics
from ..serializers.contact import ConnectSerializer

from django.shortcuts import render
# Create your views here.

from rest_framework import status

from rest_framework.response import Response
from rest_framework.viewsets import GenericViewSet
from rest_framework import status



class ConnectViewSet(generics.CreateAPIView):
    queryset = Connect.objects.all()
    serializer_class=ConnectSerializer
        
    
    def create(self,request,*args,**kwargs):
        serializer=ConnectSerializer(data=request.data)
        
        if serializer.is_valid():
            serializer.save()
            response_data={
                'status': status.HTTP_201_CREATED,
                'message': 'Connect object created successfully',
                'data': serializer.data
            }
            return Response(response_data, status=status.HTTP_201_CREATED)
        else :
            response_data={
                'status': status.HTTP_400_BAD_REQUEST,
                'message': 'Failed to create Connect object',
                'error': serializer.errors
            }
            return Response(response_data, status=status.HTTP_400_BAD_REQUEST)
            
    

